{% extends 'dragonboard-410c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lkft-slave01 7101'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set adb_serial_number = '58403621' %}
{% set fastboot_serial_number = '58403621' %}
{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 1 --mode sync -n lkft-slave01-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 1 --mode off -n lkft-slave01-hub01' %}

{# OTG connected to USB port 1 #}

{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control --usb_port 1 --mode off -n lkft-slave01-hub01',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 1 --delay 30',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 1 --mode sync -n lkft-slave01-hub01'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 1' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 1',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 1 --mode off -n lkft-slave01-hub01'] %}
{% set device_info = [{'board_id': '58403621'}] %}
{% set environment = {
	'CHAMELIUM_IP': '10.66.16.71',
	'CHAMELIUM_REBOOT_ARG': '--hostname pdu05 --command reboot --port 2 --delay 20'
} %}
{# Chamelium serial is: telnet lkft-slave01 7118 #}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'lkft-slave01.lkftlab', 'tags': ['chamelium', 'new-firmware', 'cambridge-lab', 'production'], 'aliases': []} %}
